Free Support Forum - aspose.com

Backward compatible

Going from 5.1.0.0 to newest version?
This message was posted using Aspose.Live 2 Forum

Hello

<?xml:namespace prefix = o ns = "urn:schemas-microsoft-com:office:office" />

Thanks for your inquiry. Every Aspose license carries one-year subscription for free upgrades to new versions released during this time. If you check the expiration date of your license you will see that your license has expired. To check an expiration date of your license open the license file using notepad. You will see the following tags:

20090228

It means that you can free upgrade to version of Aspose.Words published before 02/28/2009.

Best regards,

To clarify what I meant. Are there any issues when updating the Aspose 5.1.0.0 to the current 8.2.1 version? Is the 8.2.1 version completely backward compatible with the 5.1.0.0 version?

Hello

<?xml:namespace prefix = o ns = "urn:schemas-microsoft-com:office:office" />

Thank you for additional information. New version of Aspose.Words is fully compatible with 5.1.0. There were no breaking changes in API made.

Best regards,